Page MenuHomePhabricator

ci: use manual script for distcheck build
ClosedPublic

Authored by zmike on Aug 2 2018, 12:27 PM.

Details

Summary

this adds a script which reimplements the distcheck rule generated from
automake and runs that script instad of 'make distcheck'

the benefit of this is that the distcheck script can run tests multiple times
to avoid intermittent failures which could potentially cause build errors.
distcheck builds are by far the longest and most costly of all ci builds, so
it's important to reduce failure rates in these builds to the absolute minimum
in order to keep ci build times low

cibuildme

fix T7094

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Aug 2 2018, 12:27 PM
zmike updated this revision to Diff 16206.Aug 8 2018, 11:28 AM
zmike edited the summary of this revision. (Show Details)

force -j2 during make check

stefan_schmidt requested changes to this revision.Aug 16 2018, 3:15 AM

The rest looks fine to be. Once the dep on D6664 is removed it can go in.

I really hope that all this distcheck headaches are going away when we are switching to meson.

.ci/ci-make-distcheck.sh
14 ↗(On Diff #16206)

Please change this hunk to not depend on D6664. It does not apply for me and it seems this is due to D6664 not being in.

This revision now requires changes to proceed.Aug 16 2018, 3:15 AM
zmike updated this revision to Diff 16354.Aug 16 2018, 6:25 AM

remove dependency

stefan_schmidt accepted this revision.Aug 17 2018, 1:14 PM
This revision is now accepted and ready to land.Aug 17 2018, 1:14 PM
This revision was automatically updated to reflect the committed changes.